#
# spec file for package python-simpleeval
#
# Copyright (c) 2015 Dr. Axel Braun
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%{?!python_module:%define python_module() python-%{**} python3-%{**}}

%define modname simpleeval
Name:           python-%{modname}
Version:        0.8.2
Release:        lp151.2.2
Url:            https://pypi.python.org/pypi/simpleeval
Summary:        A simple, safe single expression evaluator library
License:        MIT
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/source/s/%{modname}/%{modname}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{modname}-%{version}-build
BuildRequires:	python-rpm-macros
BuildRequires:  %{python_module setuptools}
BuildArch:      noarch
%python_subpackages

%description
A quick single file library for easily adding evaluatable expressions
into python projects. Say you want to allow a user to set an alarm volume,
which could depend on the time of day, alarm level, how many previous alarms
had gone off, and if there is music playing at the time.

Or if you want to allow simple formulare in a web application, but don’t want 
to give full eval() access, or don’t want to run in javascript on the client side.

%prep
%setup -q -n %{modname}-%{version}
rm -f %{modname}.egg-info/*.orig

%build
%python_build 

%install
%python_install
rm -rf %{buildroot}%{python_sitelib}/%{mod2nam}/tests # Don't install tests
rm -rf %{buildroot}%{python_sitelib}/%{mod2nam}/*.exe # Remove unneeded files

%files %{python_files}
%defattr(-,root,root,-)
%doc README.rst
%{python_sitelib}/*

%changelog
* Wed May  3 2017 axel.braun@gmx.de
- changes for singlespec
* Tue Apr 21 2015 axel.braun@gmx.de
- Initial build on OBS
- version 0.8.2
